Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode.control
Class RobotResults

    java.lang.Object
      robocode.control.RobotResults

All Implemented Interfaces:
  Serializable

    public class RobotResults

extends Object
implements Serializable

Contains the battle results for an individual robot, which is given as input parameter with the `RobocodeListener.battleComplete(BattleSpecification, RobotResults[])` event handler.

Author:
  Mathew A. Nelson (original), Flemming N. Larsen (contributor)
See Also:
  `RobocodeListener`, Serialized Form

Constructor Summary
`RobotResults(RobotSpecification robot, int rank, double score, double survival, double lastSurvivorBonus, double bulletDamage, double bulletDamageBonus, double ramDamage, double ramDamageBonus, int firsts, int seconds, int thirds)` Constructs a new RobotResults.

Method Summary
`int` | `getBulletDamage()` Returns the bullet damage score of this robot in the battle.
`int` | `getBulletDamageBonus()` Returns the bullet damage bonus of this robot in the battle.
`int` | `getFirsts()` Returns the number of times this robot placed first in the battle.
`int` | `getLastSurvivorBonus()` Returns the last survivor score of this robot in the battle.
`int` | `getRamDamage()` Returns the ram damage score of this robot in the battle.
`int` | `getRamDamageBonus()` Returns the ram damage bonus of this robot in the battle.
`int` | `getRank()` Returns the rank of this robot in the battle results.
`RobotSpecification` | `getRobot()` Returns the robot these results are meant for.
`int` | `getScore()` Returns the total score of this robot in the battle.
`int` | `getSeconds()` Returns the number of times this robot placed second in the battle.
`int` | `getSurvival()` Returns the survival score of this robot in the battle.
`int` | `getThirds()` Returns the number of times this robot placed third in the battle.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RobotResults

    public RobotResults(RobotSpecification robot,
                        int rank,
                        double score,
                        double survival,
                        double lastSurvivorBonus,
                        double bulletDamage,
                        double bulletDamageBonus,
                        double ramDamage,
                        double ramDamageBonus,
                        int firsts,
                        int seconds,
                        int thirds)

  Constructs a new RobotResults.

  Parameters:
    `robot` - the robot these results are for
    `rank` - the rank of the robot in the battle
    `score` - the total score for the robot in the battle
    `survival` - the survival score for the robot in the battle
    `lastSurvivorBonus` - the last survivor bonus for the robot in the battle
    `bulletDamage` - the bullet damage score for the robot in the battle
    `bulletDamageBonus` - the bullet damage bonus for the robot in the battle
    `ramDamage` - the ram damage for the robot in the battle
    `ramDamageBonus` - the ram damage bonus for the robot in the battle
    `firsts` - the number of times this robot placed first
    `seconds` - the number of times this robot placed second
    `thirds` - the number of times this robot placed third

Method Detail

### getRobot

    public RobotSpecification getRobot()

  Returns the robot these results are meant for.

  Returns:
    the robot these results are meant for.

### getRank

    public int getRank()

  Returns the rank of this robot in the battle results.

  Returns:
    the rank of this robot in the battle results.

### getScore

    public int getScore()

  Returns the total score of this robot in the battle.

  Returns:
    the total score of this robot in the battle.

### getSurvival

    public int getSurvival()

  Returns the survival score of this robot in the battle.

  Returns:
    the survival score of this robot in the battle.

### getLastSurvivorBonus

    public int getLastSurvivorBonus()

  Returns the last survivor score of this robot in the battle.

  Returns:
    the last survivor score of this robot in the battle.

### getBulletDamage

    public int getBulletDamage()

  Returns the bullet damage score of this robot in the battle.

  Returns:
    the bullet damage score of this robot in the battle.

### getBulletDamageBonus

    public int getBulletDamageBonus()

  Returns the bullet damage bonus of this robot in the battle.

  Returns:
    the bullet damage bonus of this robot in the battle.

### getRamDamage

    public int getRamDamage()

  Returns the ram damage score of this robot in the battle.

  Returns:
    the ram damage score of this robot in the battle.

### getRamDamageBonus

    public int getRamDamageBonus()

  Returns the ram damage bonus of this robot in the battle.

  Returns:
    the ram damage bonus of this robot in the battle.

### getFirsts

    public int getFirsts()

  Returns the number of times this robot placed first in the battle.

  Returns:
    the number of times this robot placed first in the battle.

### getSeconds

    public int getSeconds()

  Returns the number of times this robot placed second in the battle.

  Returns:
    the number of times this robot placed second in the battle.

### getThirds

    public int getThirds()

  Returns the number of times this robot placed third in the battle.

  Returns:
    the number of times this robot placed third in the battle.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD